header.banner {

    z-index: 0;
    background-image: url("../images/cyberpunk.jpg");
    background-size: auto 100%;

    .container {

        overflow: hidden;
        width: 100%;
    }
}

header {

    overflow: hidden;
    display: block;
    height: 364px;
    background-color: black;
    border-bottom: 1px solid #F00;
    position: relative;
    z-index: 1;

    video {

        position: absolute;
        width: 100%;
        top: -20px;
        opacity: 1;

        @include transition(opacity 0.25s linear);
    }

    .brand {

        text-decoration: none;
        display: block;
        width: 802px;
        height: auto;
        margin: 0 auto;
        padding-top: 30px;

        .radioTower {

            z-index: 2;
            height: $towerHeight;
            display: block;
            margin: 0 auto;
            visibility: visible !important;
            position: relative;
            bottom: -2px;

            path {
                stroke: #f00;
                stroke-width: 5px;
                stroke-linejoin: round;
                fill: solid;
            }
        }

        .newsreal {

            z-index: 2;
            position: relative;
            background-color: $newsrealSecondaryColour;
            display: block;
            width: 800px;
            height: 109px;
            margin: 0 auto;
            border: 1px solid $newsrealPrimaryColour;
            bottom: -1px;

            @include transition(border-color 0.25s linear);

            span {

                color: $newsrealPrimaryColour;
                font-size: 160px;
                line-height: 110px;
                font-family: inversionz;
                position: relative;

                @include animation(title-animation .5s 1 ease-in);
            }
        }
    }

    .radioSignal {

        z-index: 1;
        border-radius: 50%;
        border: 6px solid $signalColour;
        height: $signalSize;
        width: $signalSize;
        position: relative;
        margin: 0 auto;
        bottom: 328px;
        @include animation(signal-animation 3s infinite);
    }

    .radioSignal.delayed {

        margin-bottom: -30px;
        @include animation-delay(1.5s);
    }

    @include keyframes(signal-animation) {

        from {

            transform: scale(1);
            opacity: 0.4;
        }

        to {
            
            transform: scale(10);
            opacity: 0;
        }
    }

    @include keyframes(title-animation) {

        from {

            opacity: 0;
        }

        to {

            opacity: 1;
        }
    }

    .collapseButton {

        display:none;
    }
}

header.sticky {

    height: auto;
    width: 100%;
    position: fixed;

    .brand {

        padding-top: 0;
        height: 60px;
        width: 360px;
        margin: 0 0 0 20px;

        .radioTower {

            display: none;

        }

        .newsreal {

            border-color: #000;
            width: 320px;
            margin: 0;
            height: 58px;

            span {

                font-size: 64px;
                line-height: 58px;

            }
        }


    }

    .radioSignal {

        display: none;

    }
}

.shadow {

    width: 100%;
    height: 15px;
    position: absolute;
    top: 365px;
    z-index: -1;
    display: block;
    background: transparent;
    background: linear-gradient(to bottom, rgba(0,0,0,0.75), rgba(0,0,0,0));        

    &.sticky {

        position: fixed;
        top: 61px;
        z-index: 1;
    }
}

@media only screen and (max-width: 802px) {

    header,
    header.sticky {

        position: fixed;
        width: 100%;
        height: 15vw;
        z-index: 3;
        white-space: nowrap;

        .brand {

            width: 82vw;
            padding: 0;
            margin: 0;
            display: inline-block;

            .radioTower {

                display: none;
            }

            .newsreal {

                width: 100%;
                height: 13vw;
                border: 0;
                height: auto;
                vertical-align: middle;
                display: table-cell;
                padding-left: 10px;

                span {

                    font-size: 16vw;
                    line-height: 14vw;
                }
            }         
        }

        .radioSignal {

            display: none;
        }

        .collapseButton {

            width: 13vw;
            height: 13vw;
            display: inline-block;
            margin-left: 2vw;
            margin-top: 0.5vw;
            vertical-align: top;
            font-size: 13vw;
            cursor: pointer;
            color: red;
        }
    }

    .shadow {

        top: 15vw;
        z-index: 1;
        position: fixed;

        &.sticky {

            top: 15vw;
        }
    }
}